Bug 91489 - Faulty SB Audigy drivers in kernel 2.4.20-13.9?
Faulty SB Audigy drivers in kernel 2.4.20-13.9?
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 01:54 EDT by Ivo Sarak
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 06:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-05-23 01:54:59 EDT
Description of problem:
Errors when loading emuk10k1 modules.

Version-Release number of selected component (if applicable):


How reproducible:
Every time with this kernel.

Steps to Reproduce:
Update to 2.4.20-13.9 kernel.
    
Actual results:
dmesg output:
Creative EMU10K1 PCI Audio Driver, version 0.19a, 11:37:29 May 12 2003
emu10k1: Audigy rev 3 model 0x0051 found, IO at 0xc800-0xc81f, IRQ 10
Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
00000000
*pde = 00000000
Oops: 0000
audigy ac97_codec sound soundcore mga agpgart smbfs iptable_filter ip_tables
3c59x sg sr_mod cdrom ohci1394 ieee1394 nls_iso8859-1 nls_cp437 vfat fat
scanner
CPU:    0
EIP:    0060:[<00000000>]    Not tainted
EFLAGS: 00010286

EIP is at [unresolved] (2.4.20-13.9)
eax: 00000000   ebx: d8930000   ecx: e536ca55   edx: e536ca47
esi: d89340a0   edi: 00000000   ebp: 00000000   esp: d6971e24
ds: 0068   es: 0068   ss: 0068
Process modprobe (pid: 4301, stackpage=d6971000)
Stack: e5382d41 d89340a0 00000000 00000000 00000000 00000000 e536c39f
e536d900
       e539a160 ffffffff d8930000 d89340a0 00000000 00000000 e538d582
d89340a0
       ffffffff d6971e74 00000000 da41abc0 76697264 652f7265 3031756d
302f316b
Call Trace:   [<e5382d41>] ac97_probe_codec_R83a75e83 [ac97_codec] 0x21
(0xd6971e24))
[<e536c39f>] register_sound_mixer_R2da56db7 [soundcore] 0x3f (0xd6971e3c))
[<e536d900>] chains [soundcore] 0x0 (0xd6971e40))
[<e539a160>] emu10k1_mixer_fops [audigy] 0x0 (0xd6971e44))
[<e538d582>] emu10k1_mixer_init [audigy] 0x82 (0xd6971e5c))
[<e53919f3>] emu10k1_probe [audigy] 0x2c3 (0xd6971e9c))
[<e5399f9c>] emu10k1_pci_tbl [audigy] 0x1c (0xd6971ed0))
[<e5399fe0>] emu10k1_pci_driver [audigy] 0x0 (0xd6971ed4))
[<c01d0d55>] pci_announce_device [kernel] 0x35 (0xd6971edc))
[<e5399f9c>] emu10k1_pci_tbl [audigy] 0x1c (0xd6971ee4))
[<e5399fe0>] emu10k1_pci_driver [audigy] 0x0 (0xd6971eec))
[<c01d0dfb>] pci_register_driver [kernel] 0x5b (0xd6971ef8))
[<e5399fe0>] emu10k1_pci_driver [audigy] 0x0 (0xd6971efc))
[<e5391bbf>] init_module [audigy] 0x1f (0xd6971f10))
[<e5399fe0>] emu10k1_pci_driver [audigy] 0x0 (0xd6971f14))
[<c011ce26>] sys_init_module [kernel] 0x4d6 (0xd6971f1c))
[<e5387060>]
__insmod_audigy_O/lib/modules/2.4.20-13.9/kernel/drivers/sound/audigy/audigy.o_M3EBFC0C6_V132116
[audigy] 0x60 (0xd6971f20))
[<e53972cc>] .kmodtab [audigy] 0x0 (0xd6971f2c))
[<e5387060>]
__insmod_audigy_O/lib/modules/2.4.20-13.9/kernel/drivers/sound/audigy/audigy.o_M3EBFC0C6_V132116
[audigy] 0x60 (0xd6971f58))
[<c010939f>] system_call [kernel] 0x33 (0xd6971fc0))


Code:  Bad EIP value.
 <6>ide-floppy driver 0.99.newide

/var/log/messages:
May 23 07:55:43 sarmax kernel: [drm] Initialized mga 3.0.2 20010321 on minor
0
May 23 07:56:16 sarmax kernel: Creative EMU10K1 PCI Audio Driver, version
0.19a, 11:37:29 May 12 2003
May 23 07:56:16 sarmax kernel: emu10k1: Audigy rev 3 model 0x0051 found, IO
at 0xc800-0xc81f, IRQ 10
May 23 07:56:16 sarmax kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
May 23 07:56:16 sarmax kernel:  printing eip:
May 23 07:56:16 sarmax kernel: 00000000
May 23 07:56:16 sarmax kernel: *pde = 00000000
May 23 07:56:16 sarmax kernel: Oops: 0000
May 23 07:56:16 sarmax kernel: audigy ac97_codec sound soundcore mga agpgart
smbfs iptable_filter ip_tables 3c59x sg sr_mod
cdrom ohci1394 ieee1394 nls_iso8859-1 nls_cp437 vfat fat scanner
May 23 07:56:16 sarmax kernel: CPU:    0
May 23 07:56:16 sarmax kernel: EIP:    0060:[<00000000>]    Not tainted
May 23 07:56:16 sarmax kernel: EFLAGS: 00010286
May 23 07:56:16 sarmax kernel:
May 23 07:56:16 sarmax kernel: EIP is at [unresolved] (2.4.20-13.9)
May 23 07:56:16 sarmax modprobe: modprobe: Can't locate module
sound-service-0-0
May 23 07:56:16 sarmax kernel: eax: 00000000   ebx: d8930000   ecx: e536ca55
edx: e536ca47
May 23 07:56:16 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:16 sarmax kernel: esi: d89340a0   edi: 00000000   ebp: 00000000
esp: d6971e24
May 23 07:56:16 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0
May 23 07:56:16 sarmax kernel: ds: 0068   es: 0068   ss: 0068
May 23 07:56:16 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:16 sarmax kernel: Process modprobe (pid: 4301,
stackpage=d6971000)
May 23 07:56:16 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0
May 23 07:56:16 sarmax kernel: Stack: e5382d41 d89340a0 00000000 00000000
00000000 00000000 e536c39f e536d900
May 23 07:56:17 sarmax kernel:        e539a160 ffffffff d8930000 d89340a0
00000000 00000000 e538d582 d89340a0
May 23 07:56:17 sarmax kernel:        ffffffff d6971e74 00000000 da41abc0
76697264 652f7265 3031756d 302f316b
May 23 07:56:17 sarmax kernel: Call Trace:   [<e5382d41>]
ac97_probe_codec_R83a75e83 [ac97_codec] 0x21 (0xd6971e24))
May 23 07:56:17 sarmax kernel: [<e536c39f>] register_sound_mixer_R2da56db7
[soundcore] 0x3f (0xd6971e3c))
May 23 07:56:17 sarmax kernel: [<e536d900>] chains [soundcore] 0x0
(0xd6971e40))
May 23 07:56:17 sarmax kernel: [<e539a160>] emu10k1_mixer_fops [audigy] 0x0
(0xd6971e44))
May 23 07:56:17 sarmax kernel: [<e538d582>] emu10k1_mixer_init [audigy] 0x82
(0xd6971e5c))
May 23 07:56:17 sarmax kernel: [<e53919f3>] emu10k1_probe [audigy] 0x2c3
(0xd6971e9c))
May 23 07:56:17 sarmax kernel: [<e5399f9c>] emu10k1_pci_tbl [audigy] 0x1c
(0xd6971ed0))
May 23 07:56:17 sarmax kernel: [<e5399fe0>] emu10k1_pci_driver [audigy] 0x0
(0xd6971ed4))
May 23 07:56:17 sarmax kernel: [<c01d0d55>] pci_announce_device [kernel]
0x35 (0xd6971edc))
May 23 07:56:17 sarmax kernel: [<e5399f9c>] emu10k1_pci_tbl [audigy] 0x1c
(0xd6971ee4))
May 23 07:56:18 sarmax kernel: [<e5399fe0>] emu10k1_pci_driver [audigy] 0x0
(0xd6971eec))
May 23 07:56:18 sarmax kernel: [<c01d0dfb>] pci_register_driver [kernel]
0x5b (0xd6971ef8))
May 23 07:56:19 sarmax kernel: [<e5399fe0>] emu10k1_pci_driver [audigy] 0x0
(0xd6971efc))
May 23 07:56:19 sarmax kernel: [<e5391bbf>] init_module [audigy] 0x1f
(0xd6971f10))
May 23 07:56:19 sarmax kernel: [<e5399fe0>] emu10k1_pci_driver [audigy] 0x0
(0xd6971f14))
May 23 07:56:19 sarmax kernel: [<c011ce26>] sys_init_module [kernel] 0x4d6
(0xd6971f1c))
May 23 07:56:20 sarmax kernel: [<e5387060>]
__insmod_audigy_O/lib/modules/2.4.20-13.9/kernel/drivers/sound/audigy/audigy.o_M
3EBFC0C6_V132116 [audigy] 0x60 (0xd6971f20))
May 23 07:56:20 sarmax kernel: [<e53972cc>] .kmodtab [audigy] 0x0
(0xd6971f2c))
May 23 07:56:20 sarmax kernel: [<e5387060>]
__insmod_audigy_O/lib/modules/2.4.20-13.9/kernel/drivers/sound/audigy/audigy.o_M
3EBFC0C6_V132116 [audigy] 0x60 (0xd6971f58))
May 23 07:56:20 sarmax kernel: [<c010939f>] system_call [kernel] 0x33
(0xd6971fc0))
May 23 07:56:20 sarmax kernel:
May 23 07:56:20 sarmax kernel:
May 23 07:56:21 sarmax kernel: Code:  Bad EIP value.
May 23 07:56:23 sarmax kernel:  <6>ide-floppy driver 0.99.newide
May 23 07:56:23 sarmax kernel: hdd: attached ide-cdrom driver.
May 23 07:56:23 sarmax kernel: hdd: ATAPI 48X DVD-ROM drive, 512kB Cache,
UDMA(33)
May 23 07:56:26 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:26 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0
May 23 07:56:26 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:26 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0
May 23 07:56:30 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:30 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0
May 23 07:56:30 sarmax modprobe: modprobe: Can't locate module sound-slot-1
May 23 07:56:30 sarmax modprobe: modprobe: Can't locate module
sound-service-1-0


Expected results:

This is from kernel 2.4.20-9:
Creative EMU10K1 PCI Audio Driver, version 0.19a, 13:29:57 Apr  2 2003
emu10k1: Audigy rev 3 model 0x0051 found, IO at 0xd800-0xd81f, IRQ 10
ac97_codec: AC97  codec, id: TRA35 (TriTech TR A5)



Additional info:
Comment 1 ingvar 2003-06-02 06:49:04 EDT
I can confirm this bug is also in the smp version of the kernel package, at 
least on my AMD SMP system, running 2x MP2200+ on Tyan Tiger.

# uname -a
Linux re 2.4.20-13.9smp #1 SMP Mon May 12 10:43:00 EDT 2003 i686 athlon i386 
GNU/Linux

# rpm -q kernel-smp
kernel-smp-2.4.20-9
kernel-smp-2.4.20-13.9

Works allright with 2.4.20-9.

Drop me a mail if you want ouput of lspci/lsmod/dmesg/whatever

Ingvar
Comment 2 Arjan van de Ven 2003-06-03 06:16:16 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html

Note You need to log in before you can comment on or make changes to this bug.